<?

/* ****************************************************************************
 * File:                estimateask2.php
 * Description:         traiter le formulaire de prise de notes telephoniques
 * Authors:             Stan Walbert
 * Creation:            27-05-2004
 * ***************************************************************************/

require_once("../../common/dbconfig/setup.php");
require_once("../../common/cls/page_cls.php");
require_once("../../common/functions/user_auth_fns.php");
require_once("../../common/functions/data_valid_fns.php");
require_once("../../common/functions/database_fns.php");
require_once("../../common/functions/msg_fns.php");
require_once("../../common/functions/date.php");
require_once("../functions/output_estimateask.php");

//connexion
db_connect($mysql_server, $mysql_user, $mysql_passwort, $mysql_db);
                                                                                
//on verifie que la session est valide
check_valid_user();
check_valid_right('Devis');

$homepage = new Page();
$homepage->DisplayContent();


if ($_REQUEST['contactsinserted'] == 1)
    display_estimateask_form(
	$_REQUEST['teldate'],
	$_REQUEST['contactid'],
	$_REQUEST['societeid'],
	$_REQUEST['project'],
	$_REQUEST['project2'],
	$_REQUEST['devis'],
	$_REQUEST['devis2'],
	$_REQUEST['note'],
	$_REQUEST['entree'],
	$_REQUEST['sortie'],
	$_REQUEST['images'],
	$_REQUEST['debut'],
	$_REQUEST['fin'],
	$_REQUEST['plans']);
else 
{
    // verification du formulaire
    $error = 0;
    $msg1 = $msg2 = $msg3 = '';
    // verif contactid et societeid
    if ($_REQUEST['contactid'] == '' and $_REQUEST['societeid'] == '') 
    {
	$info = "INFORMATION";
	$msg1 =  "Aucun contact ou societe attache";
	    $error = 1;
    }
    if ($_REQUEST['note'] == '') 
    {
	$info = "INFORMATION";
	$msg2 =  "Aucune note ecrite";
	    $error = 1;
    }
    // verif type de devis
    if ($_REQUEST['devis'] == 0) 
    {
	$info = "INFORMATION";
	$msg3 =  "Aucun type de devis selectionne";
	    $error = 1;
    }
    if ($error == 1) 
    {
	if ($msg1 != '')
	    if ($msg2 != '')
		if ($msg3 != '')
		    $msg = "$msg1<br>$msg2<br>$msg3";
		else
		    $msg = "$msg1<br>$msg2";
	    else
		$msg = $msg1;
	else
	    if ($msg2 != '')
		if ($msg3 != '')
		    $msg = "$msg2<br>$msg3";
		else
		    $msg = $msg2;
	display_msg_error($info, $msg, NULL, NULL);
	display_estimateask_form($_REQUEST['teldate'],$_REQUEST['contactid'],$_REQUEST['societeid'],$_REQUEST['project'],$_REQUEST['project2'],$_REQUEST['devis'],$_REQUEST['devis2'],$_REQUEST['note'],$_REQUEST['entree'],$_REQUEST['sortie'],$_REQUEST['images'],$_REQUEST['debut'],$_REQUEST['fin'],$_REQUEST['plans']);
    }
    if ($error != 1) 
    {
	$sql1 = "INSERT INTO EstimateNote (projectName,estimateTypeName,creaDate,note,EstimateType_id) VALUES ('{$_REQUEST['project2']}','{$_REQUEST['devis2']}','{$_REQUEST['teldate']}','{$_REQUEST['note']}',{$_REQUEST['devis']})";
	$result1 = mysql_query($sql1);
	if (!$result1) $error=2;
	$noteid = mysql_insert_id();
	// insertion du contact
	if ($_REQUEST['contactid'] and $error!=2) 
	{	
	    $sql2 = "INSERT INTO EstimateNote_has_Contact (EstimateNote_id,Contact_id) VALUES ($noteid,{$_REQUEST['contactid']})";
	    $result2 = mysql_query($sql2);
	    if (!$result2) 
		$error=2;
	}
	// insertion de la societe
	if ($_REQUEST['societeid'] and $error!=2) 
	{	
	    $sql3 = "INSERT INTO EstimateNote_has_Contact (EstimateNote_id,Contact_id) VALUES ($noteid,{$_REQUEST['societeid']})";
	    $result3 = mysql_query($sql3);
	    if (!$result3) 
		$error=2;
	}
	// si un projet existant est concerne 
	if ($_REQUEST['project2'] == '' and $error!=2) 
	{
	    $sql4 = "INSERT INTO ProjectLevel_has_EstimateNote (ProjectLevel_id, EstimateNote_id) VALUES ({$_REQUEST['project']},$noteid)";
	    $result4 = mysql_query($sql4);
	    if (!$result4) 
		$error=2;
	}
	// devis duboicolor
	if ($_REQUEST['devis'] == 1 and $error!=2) 
	{ 
	    $sql5 = "INSERT INTO EstimateColorNote (EstimateNote_id,formatSrc,formatDest,nbreImages) VALUES ($noteid,'{$_REQUEST['entree']}','{$_REQUEST['sortie']}',{$_REQUEST['images']})";
	    $result5 = mysql_query($sql5);
	    if (!$result5) 
		$error=2;
	}  
	// devis duboisfx
	if ($_REQUEST['devis'] == 2 and $error!=2) 
	{ 
	    $sql6 = "INSERT INTO EstimateSfxNote (EstimateNote_id,startFilming,stopFilming,nbreShot) VALUES ($noteid,'{$_REQUEST['debut']}','{$_REQUEST['fin']}',{$_REQUEST['plans']})";
	    $result6 = mysql_query($sql6);
	    if (!$result6) 
		$error=2;
	}  
	if ($error != 2) 
	{
    	    //enregistrement reussi
	    $info = "CONFIRMATION";
	    $msg = "La note telephonique est enregistree";
	    display_msg($info, $msg, "estimateask.php", "OK");
	}	
	if ($error == 2) 
	{
	    //enregistrement echoue
	    $info = "ERREUR";
	    $msg = "Impossible d'enregistrer la note telephonique<br>$sql1 $sql2 $sql3 $sql4 $sql6<br>";
	    $msg .= mysql_error();
	    display_msg_error($info, $msg, "estimateask.php", "OK");
	}
    }
}

$homepage->DisplayContentEnd();
?>
